Name:           abacus
Version:        8.2.7
Release:        %mkrel 1
Summary:        Java-based abacus
License:        BSD
Group:          Sciences/Mathematics
Source:         %{name}.zip
Url:            http://www.tux.org/~bagleyd/abacus.html
BuildArch:	noarch
BuildRequires:  desktop-file-utils
BuildRequires:  java
BuildRequires:	java-sun
Requires:	java
BuildRoot:      %{_tmppath}/%{name}

%description

By default, this is an implementation of the classic Chinese abacus
(Saun-pan).  Other implementations are easily configurable including
the Japanese Abacus (Soroban), the Korean Abacus (Supan), the Roman
Hand-abacus, the Russian Abacus (Schoty), and the Danish Learning
Abacus.

Authors:
--------
    David Albert Bagley <bagleyd@tux.org>


%prep
rm -rf %{buildroot}
%setup -q -n %{name}

%build
make

%install

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_docdir}/%{name}

%__mv -f res/icons/48x48/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/
#%__mv -f ./*.html %{buildroot}%{_docdir}/%{name}/
%__cp -fr ./* %{buildroot}%{_datadir}/%{name}/


#make Executable
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
java -jar /usr/share/%{name}/AbacusApp.jar
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Type=Application
Name=Abacus
Comment=Java based abacus learning tool
Icon=%{name}
Exec=%{name}
Categories=Education;Math;X-MandrivaLinux-MoreApplications-Sciences-Mathematics;
StartupNotify=false
Terminal=false
ExternalInst=true
EOF


%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%files
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
#%{_docdir}/%{name}/*.html


%changelog
* Thu Jun 04 2020 ghostbunny <ghostbunny at gmx dot de> 8.2.7-1pclos2020
- 8.2.7

* Mon Mar 26 2018 ghostbunny <ghostbunny at gmx dot de> 8.1.6-1pclos2018
- 8.1.6

* Tue Apr 15 2014 gseaman <galen.seaman at comcast.net> 7.6.8-2gseaman2014
- rebuild to fix hidden menu and removed build requires for apache-ant and java-rpmbuild (not needed)

* Fri May 04 2012 Neal <nealbrks0 at gmail.com> 7.6.8-1pclos2012
- add build requirement java-rpmbuild
- process 64bit

* Thu May 03 2012 Galen Seaman <gseaman@clear.net> 7.6.8-1pclos2012
- build for PCLinuxOS
